eio_open
eio_read
Eio Functions
PHP Manual

# eio_poll

(PECL eio >= 0.0.1dev)

eio_poll — Can be to be called whenever there are pending requests that need finishing.

### Description

int eio_poll ( void )

eio_poll() can be used to implement special event loop. For this eio_nreqs() could be used to test if there are unprocessed requests.

> Note:

> Applicable only when implementing userspace event loop.

### Parameters

This function has no parameters.

### Return Values

If any request invocation returns a non-zero value, returns that value. Otherwise, it returns `0`.

### Examples

Example #1 eio_poll() example

`<?php
function res_cb($data, $result) {
var_dump($data);
var_dump($result);
}
eio_nop(EIO_PRI_DEFAULT, "res_cb", "1");
eio_nop(EIO_PRI_DEFAULT, "res_cb", "2");
eio_nop(EIO_PRI_DEFAULT, "res_cb", "3");
while (eio_nreqs()) {
// Some specific IPC or so
eio_poll();
}
?>`

The above example will output something similar to:

    string(1) "1"
    int(0)
    string(1) "3"
    int(0)
    string(1) "2"
    int(0)

### See Also

- eio_nreqs

eio_open
eio_read
Eio Functions
PHP Manual